float       distance, duration;
const int   echo=A4; //selected pins
const int   trigger=A5;

void setup(){
    Serial.begin(9600);
    pinMode(echo,INPUT);
    pinMode(trigger,OUTPUT);
}

void loop(){
    digitalWrite(trigger,HIGH);     // Distance measurement by using the 10us long trigger signal
    delayMicroseconds(1);
    digitalWrite(trigger,LOW); 
    duration  = pulseIn(echo,HIGH);
    distance  = duration*340/2/10000;
    if (distance < 2 || distance > 450){        // Checking whether measured value is within the permissible distance
        Serial.println("distance is outside of the measuring range");   // If not, an error message is output
    }
    else{
        Serial.println("distance: " + String(distance) + " cm");    // The calculated distance is output to the console
    }
    delay(3000);    // Pause between the individual measurements
}